Skip to main content
v1

Press and hold a desktop mouse button.

POST /v1/desktop/mouse/down: request parameters and responses.

POST /v1/desktop/mouse/down

Performs a health-gated optional pointer move followed by xdotool mousedown and returns the resulting mouse position.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMouseDownRequest"
  }
}

Related schemas: DesktopMouseDownRequest.

Responses

200

Desktop mouse position after button press

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMousePositionResponse"
  }
}

Related schemas: DesktopMousePositionResponse.

400

Invalid mouse down request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.